diff options
author | Jochen Sprickerhof <git@jochen.sprickerhof.de> | 2022-12-23 23:09:13 +0100 |
---|---|---|
committer | Jochen Sprickerhof <git@jochen.sprickerhof.de> | 2022-12-23 23:09:13 +0100 |
commit | c9a0ca87fc9b3bdb3350663be663835fcbf15190 (patch) | |
tree | a7c2063250b927a4fb73a86d7b12b5c7718132f6 /tests/create-and-run.sh | |
parent | af4f1eb0cd386e7d6aa06a097998f4bbcbf9bb43 (diff) | |
download | debvm-c9a0ca87fc9b3bdb3350663be663835fcbf15190.tar.gz |
Use ext4 for test image extension
Diffstat (limited to 'tests/create-and-run.sh')
-rwxr-xr-x | tests/create-and-run.sh | 6 |
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/create-and-run.sh b/tests/create-and-run.sh index dfd4022..4b5d986 100755 --- a/tests/create-and-run.sh +++ b/tests/create-and-run.sh @@ -5,15 +5,15 @@ set -ex cleanup() { - rm -f ssh_id ssh_id.pub test.ext2 + rm -f ssh_id ssh_id.pub test.ext4 } trap cleanup EXIT INT TERM QUIT ssh-keygen -f ssh_id -N '' -debvm-create -k ssh_id.pub -o test.ext2 "$@" +debvm-create -k ssh_id.pub -o test.ext4 "$@" -timeout 240s debvm-run -s 2222 -i test.ext2 & +timeout 240s debvm-run -s 2222 -i test.ext4 & timeout=5 sshopt="-o StrictHostKeyChecking=no $(if test "$2" = jessie; then echo -o PubkeyAcceptedKeyTypes=+ssh-rsa; fi)" ts=$(sleepenh 0 || [ $? -eq 1 ]) |